Subject: bug#60659: 30.0.50; tree-sitter: identical nodes are not `equal'

From: Mickey Petersen <[email-masked]>
Date: Mon, 09 Jan 2023 08:55:19 +0000

Yuan Fu <[email-masked]> writes:

> Mickey Petersen <[email-masked]> writes:
>
>> In order to check for node equality, one must use `treesit-node-eq'.
>>
>> But I see little reason why two identical nodes in in the same tree aren't `equal'?
>
> Indeed. I’ll see if I can extend equal to handle tree-sitter nodes.
>

Nice one. This will allow for membership checks with `member' and
such-like and it'll greatly cut down on custom code, particularly one
you start writing tests!

> Yuan